Subject: Re: bug#41570: 26.3; dired chown

From: "A. Peter Blicher" <[email-masked]>
Date: Thu, 3 Sep 2020 14:36:48 -0700

I'd say that while the windows takeown is crippled compared to chown, it 
would be useful to have an easy way in dired to invoke it, since it is better 
than nothing.  I don't at this point claim that takeown is the same as chown, 
or that dired chown should invoke takeown, just that takeown functionality 
would be useful in dired.

Apparently, with enough fancy footwork it is possible in windows to 
effectively chown, but from what I can see, it's a lot of fancy footwork.

--peter

On 9/3/2020 1:38 PM, Stefan Kangas wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
>>> From: "A. Peter Blicher" <[email-masked]>
>>> Date: Wed, 27 May 2020 14:46:39 -0700
>>>
>>> Dired chown command complains that chown is not available for windows
>>> systems.  However, windows versions >= 7 (at least) have the "takeown"
>>> command, which while not as comprehensive as the unix chown command at
>>> least allows the current user to take ownership of a file/dir, as long
>>> as the user has admin privileges.  It would be useful for dired to
>>> permit this possibility on windows systems.
>>
>> AFAIU, 'takeown' is different from 'chown', in that it only allows to
>> change the file's owner to either the current user or the
>> Administrators group, it doesn't allow you to change the ownership to
>> any other user except one of those two.  Also, I think the command
>> requires elevation, doesn't it (thus you mention "admin privileges")?
>>
>> So I'm not sure that command is a good replacement for 'chown', but
>> maybe you have something in mind I'm missing?
> 
> The proposal here was to change chown for takeown in Dired.  From the
> discussion, it seems like this is not a technically good solution.
> 
> Is there anything more to do here, or could this bug report be closed?
> 
> Best regards,
> Stefan Kangas
>